<?php
/**
 * @package Adelle
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header clear">
		<?php if ( false == get_post_format() ) : ?>
			<?php adelle_post_date(); ?>
		<?php endif; ?>
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<?php if ( false == get_post_format() ) : ?>
			<div class="entry-meta">
				<?php adelle_post_meta(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php wp_link_pages( array(
					'before' => '<div class="page-links">',
					'after' => '</div>',
					'link_before' => '<span class="active-link">',
					'link_after' => '</span>'
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-meta clear">
		<?php if ( false != get_post_format() ) : ?>
			<span class="post-format-meta">
				<a class="entry-format" href="<?php echo esc_url( get_post_format_link( get_post_format() ) ); ?>" title="<?php echo esc_attr( sprintf( __( 'All %s posts', 'adelle' ), get_post_format_string( get_post_format() ) ) ); ?>"><?php echo get_post_format_string( get_post_format() ); ?></a>
				<?php adelle_posted_on(); ?>
			</span>
		<?php endif; ?>

		<?php if ( false == get_post_format() ) :
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'adelle' ) );
				if ( $tags_list ) :
			?>
			<span class="tags-links">
				<?php printf( __( '%1$s', 'adelle' ), $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End check for post format ?>

		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'adelle' ), __( '1 Comment', 'adelle' ), __( '% Comments', 'adelle' ) ); ?></span>
		<?php endif; ?>

		<?php edit_post_link( __( 'Edit', 'adelle' ), '', '' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-## -->
