<?php
/**
 * Adelle Theme Customizer
 *
 * @package Adelle
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function adelle_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	$wp_customize->add_section( 'adelle_theme_options', array(
		'title'         => __( 'Theme Options', 'adelle' ),
		'priority'      => 35,
	) );

	$wp_customize->add_setting( 'facebook_link', array(
		'default'       => '',
		'type'          => 'theme_mod',
		'capability'    => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'facebook_link', array(
		'label'         => __( 'Facebook Link', 'adelle' ),
		'section'       => 'adelle_theme_options',
		'settings'      => 'facebook_link',
		'type'          => 'text',
		'priority'      => 1,
	) );

	$wp_customize->add_setting( 'pinterest_link', array(
		'default'       => '',
		'type'          => 'theme_mod',
		'capability'    => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'pinterest_link', array(
		'label'         => __( 'Pinterest Link', 'adelle' ),
		'section'       => 'adelle_theme_options',
		'settings'      => 'pinterest_link',
		'type'          => 'text',
		'priority'      => 2,
	) );

	$wp_customize->add_setting( 'twitter_link', array(
		'default'       => '',
		'type'          => 'theme_mod',
		'capability'    => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'twitter_link', array(
		'label'         => __( 'Twitter Link', 'adelle' ),
		'section'       => 'adelle_theme_options',
		'settings'      => 'twitter_link',
		'type'          => 'text',
		'priority'      => 3,
	) );

	$wp_customize->add_setting( 'youtube_link', array(
		'default'       => '',
		'type'          => 'theme_mod',
		'capability'    => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'youtube_link', array(
		'label'         => __( 'YouTube Link', 'adelle' ),
		'section'       => 'adelle_theme_options',
		'settings'      => 'youtube_link',
		'type'          => 'text',
		'priority'      => 4,
	) );
}
add_action( 'customize_register', 'adelle_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function adelle_customize_preview_js() {
	wp_enqueue_script( 'adelle_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130304', true );
}
add_action( 'customize_preview_init', 'adelle_customize_preview_js' );
