<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package Adelle
 */
?>
<?php
	$facebook_link = get_theme_mod( 'facebook_link' );
	$pinterest_link = get_theme_mod( 'pinterest_link' );
	$twitter_link = get_theme_mod( 'twitter_link' );
	$youtube_link = get_theme_mod( 'youtube_link' );
?>
	<div id="secondary" class="widget-area" role="complementary">

		<?php
			if ( '' != $facebook_link
			  || '' != $pinterest_link
			  || '' != $twitter_link
			  || '' != $youtube_link
			) :
		?>
			<aside id="social-networks" class="widget clear">
				<ul>
					<?php if ( '' != $facebook_link ) : ?>
					<li class="facebook-link">
						<a href="<?php echo esc_url( $facebook_link ); ?>" class="genericon" title="<?php esc_attr_e( 'Facebook', 'adelle' ); ?>" target="_blank">
							<?php _e( 'Facebook', 'adelle' ); ?>
						</a>
					</li>
					<?php endif; ?>

					<?php if ( '' != $pinterest_link ) : ?>
					<li class="pinterest-link">
						<a href="<?php echo esc_url( $pinterest_link ); ?>" class="genericon" title="<?php esc_attr_e( 'Pinterest', 'adelle' ); ?>" target="_blank">
							<?php _e( 'Pinterest', 'adelle' ); ?>
						</a>
					</li>
					<?php endif; ?>

					<?php if ( '' != $twitter_link ) : ?>
					<li class="twitter-link">
						<a href="<?php echo esc_url( $twitter_link ); ?>" class="genericon" title="<?php esc_attr_e( 'Twitter', 'adelle' ); ?>" target="_blank">
							<?php _e( 'Twitter', 'adelle' ); ?>
						</a>
					</li>
					<?php endif; ?>

					<?php if ( '' != $youtube_link ) : ?>
					<li class="youtube-link">
						<a href="<?php echo esc_url( $youtube_link ); ?>" class="genericon" title="<?php esc_attr_e( 'YouTube', 'adelle' ); ?>" target="_blank">
							<?php _e( 'YouTube', 'adelle' ); ?>
						</a>
					</li>
					<?php endif; ?>
				</ul>
			</aside>
		<?php endif; ?>

		<?php do_action( 'before_sidebar' ); ?>
		<?php if ( ! dynamic_sidebar( 'sidebar-1' ) ) : ?>

			<aside id="search" class="widget widget_search">
				<?php get_search_form(); ?>
			</aside>

			<aside id="archives" class="widget">
				<h1 class="widget-title"><?php _e( 'Archives', 'adelle' ); ?></h1>
				<ul>
					<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
				</ul>
			</aside>

			<aside id="meta" class="widget">
				<h1 class="widget-title"><?php _e( 'Meta', 'adelle' ); ?></h1>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</aside>

		<?php endif; // end sidebar widget area ?>
	</div><!-- #secondary -->
